Name:           glew
Version:        2.2.0
Release:        1
Summary:        The OpenGL Extension Wrangler Library
License:        BSD-3-Clause and MIT
URL:            https://github.com/nigels-com/glew

Source0:        https://github.com/nigels-com/glew/releases/download/glew-%{version}/glew-%{version}.tgz
Patch0000:      glew-2.1.0-install.patch
BuildRequires:  libGLU-devel gcc make

Provides:       libGLEW = %{version}-%{release}
Obsoletes:      libGLEW < %{version}-%{release}

%description
OpenGL Extension Wrangler Library (GLEW) is a cross-platform
extension loading library for c / c ++.
GLEW provides a runtime mechanism for determining
which OpenGL extensions are supported on the platform.
The OpenGL core and extensions are exposed in a single header file.
GLEW can be used on a variety of operating systems,
including Windows, Linux, Irix, Solaris, Mac OS X, FreeBSD.
This package contains the demo GLEW program.
The libraries themselves are in libGLEW

%package devel
Summary:        Development files for glew
Requires:       %{name} = %{version}-%{release} mesa-libGLU-devel

%description devel
Development files for glew

%prep
%autosetup -n %{name}-%{version} -p1

cp /usr/lib/rpm/%{_vendor}/config.guess config/

%build
%make_build CFLAGS.EXTRA="$RPM_OPT_FLAGS -fPIC"\
     STRIP= \
     GLEW_PREFIX=%{_prefix} GLEW_DEST=%{_prefix} \
     includedir=%{_includedir} \
     BINDIR=%{_bindir} LIBDIR=%{_libdir} PKGDIR=%{_libdir}/pkgconfig

%install
make install.all DESTDIR="$RPM_BUILD_ROOT" \
     GLEW_PREFIX=%{_prefix} GLEW_DEST=%{_prefix} \
     includedir=%{_includedir} \
     BINDIR=%{_bindir} LIBDIR=%{_libdir} PKGDIR=%{_libdir}/pkgconfig
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/*.so*
%delete_la_and_a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%license LICENSE.txt
%{_bindir}/*
%{_libdir}/libGLEW.so.*

%files devel
%{_libdir}/libGLEW.so
%{_libdir}/pkgconfig//glew.pc
%{_includedir}/GL/*.h
%doc doc/*

%changelog
* Thu Oct 12 2023 liyanan <thistleslyn@163.com> - 2.2.0-1
- Update to 2.2.0

* Sat Jan 7 2023 mengwenhua <mengwenhua@xfusion.com> - 2.1.0-8
- glew cmake project requires a c++ compiler

* Fri Jan 6 2023 mengwenhua<mengwenhua@xfusion.com> - 2.1.0-7
- Fixed compilation with current mesa versions.

* Thu Jan 5 2023 mengwenhua<mengwenhua@xfusion.com> - 2.1.0-6
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:Include description of glew in README.md

* Tue May 10 2022 xu_ping<xuping33@h-partners.com> - 2.1.0-5
- License compliance rectification

* Wed Jun 2 2021 baizhonggui <baizhonggui@huawei.com> - 2.1.0-4
- Fixed make: cc: No such file or directory
- Add gcc in BuildRequires

* Wed Nov 20 2019 yangjian<yangjian79@huawei.com> - 2.1.0-3
- Package init
